@echo off

rem fasm v1.68
rem tcc v0.9.25
rem cl MSVC2008

if "%MYENVSET%" == "1" goto MYENVSET
set  MYENVSET=1
set path=..\bin;..\tcc;%path%
if "%LIBPATH%" == "" set path=%path%;..\vc90\bin
if "%LIBPATH%" == "" set include=..\vc90\include
if "%LIBPATH%" == "" set lib=..\vc90\lib
set LOPT=/nologo /link /fixed:no /subsystem:console /nodefaultlib msvcrt.lib kernel32.lib user32.lib
set LOPTM=%LOPT% /MERGE:.rdata=.text /MERGE:.text=.data
:MYENVSET


fasm boot_fat.asm
fasm pe_int86.asm
fasm pe_stub.asm
fasm pe_win_stub.asm
fasm pe_x86_stub.asm
fasm pe_x86_tiny.asm

rem Uncomment to rebuild pe2boot
rem tcc pe2boot.c -o pe2boott.exe -DVERBOSE
rem cl /O1 pe2boot.c pe_win_init.c /TP /GS- %LOPTM%
rem pe2boott -X 356 -s pe_win_stub.bin -i pe2boot.exe -o pe2boot.exe

cl /O1 hello.c %LOPTM%
cl /O1 pe_win_test.c %LOPTM%
cl /O1 pe_x86_test.c /nologo /FAscu /LD /link /MERGE:.rdata=.text

pe2boot -X 444 -s pe_stub.bin     -i hello.exe -o hello.exe
pe2boot -X 334 -s pe_win_stub.bin -i pe_win_test.exe -o pe_win_test.exe
pe2boot -X 632 -s pe_x86_stub.bin -i pe_x86_test.dll -o pe_x86_test.bin
pe2boot -X 112 -s pe_x86_stub.bin -i pe_x86_tiny.exe -o pe_x86_tiny.bin

pe2boot -b boot_fat.bin -L "HELLO   EXE" -i hello.exe -FLP hello.flp
pe2boot -b boot_fat.bin -L "HELLO   EXE" -i hello.exe -CD0 hello0.iso
pe2boot -b boot_fat.bin -L "HELLO   EXE" -i hello.exe -CD2 hello2.iso

